Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.apphosting.api
Class ApiProxy.ApiProxyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.apphosting.api.ApiProxy.ApiProxyException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ApiProxy.ApiDeadlineExceededException, ApiProxy.ApplicationException, ApiProxy.ArgumentException, ApiProxy.CallNotFoundException, ApiProxy.CancelledException, ApiProxy.CapabilityDisabledException, ApiProxy.FeatureNotEnabledException, ApiProxy.OverQuotaException, ApiProxy.RequestTooLargeException, ApiProxy.ResponseTooLargeException, ApiProxy.RPCFailedException, ApiProxy.UnknownException

Enclosing class:
  ApiProxy

    public static class ApiProxy.ApiProxyException

extends java.lang.RuntimeException

See Also:
  Serialized Form

Constructor Summary
`ApiProxy.ApiProxyException(java.lang.String message)`
`ApiProxy.ApiProxyException(java.lang.String message, java.lang.String packageName, java.lang.String methodName)`

Method Summary
`ApiProxy.ApiProxyException` | `copy(java.lang.StackTraceElement[] stackTrace)` Clones this exception and then sets this Exception as the cause of the clone and sets the given stack trace in the clone.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ApiProxy.ApiProxyException

    public ApiProxy.ApiProxyException(java.lang.String message,
                                      java.lang.String packageName,
                                      java.lang.String methodName)

### ApiProxy.ApiProxyException

    public ApiProxy.ApiProxyException(java.lang.String message)

Method Detail

### copy

    public ApiProxy.ApiProxyException copy(java.lang.StackTraceElement[] stackTrace)

  Clones this exception and then sets this Exception as the cause of the clone and sets the given stack trace in the clone.

  Parameters:
    `stackTrace` - The stack trace to set in the returned clone
  Returns:
    a clone of this Exception with this Exception as the cause and with the given stack trace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD